libmsn 4.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
MSN::personalInfo Struct Reference

`#include <util.h>`

List of all members.

## Public Attributes
std::string | PSM
std::string | mediaApp
std::string | mediaType
bool | mediaIsEnabled
std::string | mediaFormat
std::vector< std::string > | mediaLines

## Detailed Description

represents a contact pesonal message

## Member Data Documentation

std::string MSN::personalInfo::mediaApp

iTunes, Winamp or keep it empty

std::string MSN::personalInfo::mediaFormat

for example, "{0} - {1}"

bool MSN::personalInfo::mediaIsEnabled

enable/disable the Current Media setting

std::vector<std::string> MSN::personalInfo::mediaLines

index 0 will be {0}, etc..

std::string MSN::personalInfo::mediaType

'Music', 'Games' or 'Office'

std::string MSN::personalInfo::PSM

personal status message

The documentation for this struct was generated from the following file:

- /home/salem/libmsn/tags/libmsn-4.2/msn/util.h

All Classes Namespaces Functions Variables Enumerations Enumerator